%define upstream_name    Module-ExtractUse
%define upstream_version 0.28

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Find out what modules are used 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Parse::RecDescent) >= 1.967.9
BuildRequires: perl(Pod::Strip)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildRequires: perl-version
BuildArch:  noarch

%description 
Module::ExtractUse is basically a Parse::RecDescent grammar to parse Perl code.
It tries very hard to find all modules (whether pragmas, Core, or from CPAN)
used by the parsed code.

"Usage" is defined by either calling use or require

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL installdirs=vendor
./Build CFLAGS="%{optflags}"

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README example
%{perl_vendorlib}/Module
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.280.0-2.mga3
+ Revision: 369795
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 10 2012 jquelin <jquelin> 0.280.0-1.mga3
+ Revision: 291718
- update to 0.28

* Thu Jul 05 2012 jquelin <jquelin> 0.270.0-1.mga3
+ Revision: 268019
- update to 0.27

* Fri Feb 24 2012 jquelin <jquelin> 0.240.0-1.mga2
+ Revision: 213720
- update to 0.24

* Mon Jan 24 2011 jquelin <jquelin> 0.230.0-1.mga1
+ Revision: 36811
- fix buildrequires:
- mageia rebuild
- imported package perl-Module-ExtractUse

